GuideLab API

Get Clinic Stripe Status

Check whether a specific lab has Stripe Connect enabled and can accept online payments. Clinic-only. Used to determine if the pay-online option should be shown.

GET
/clinic-finances/stripe-status/{labId}

Check whether a specific lab has Stripe Connect enabled and can accept online payments. Clinic-only. Used to determine if the pay-online option should be shown.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

labId*string

Lab ID to check Stripe status for

Query Parameters

partnershipId*string

Exact partnership/account epoch authorizing this check

Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/clinic-finances/stripe-status/550e8400-e29b-41d4-a716-446655440000?partnershipId=string"
{  "stripeEnabled": true,  "labStripeAccountId": "string"}